function [mean_distance_nearest_neighbour] = nearest_neighbour(point_cloud,K)

% Calculate distance to nearest neighbours as an estimate of point cloud
% density. K is the number of neighbours to use.
% Gardiner, Benson and Brassey 2018
% j.d.gardiner@liverpool.ac.uk

ptCloud = pointCloud(point_cloud);

for i = 1:length(point_cloud(:,1))

[~,dists(i,:)] = findNearestNeighbors(ptCloud,ptCloud.Location(i,:),K);

end

mean_distance_nearest_neighbour = mean(mean(dists));



