function[non_linear_colormap] = non_linear_colormap(map,number_needed,exponent)

% Generates a non-linear colourmap to bias the colours to one end of the map
% Gardiner, Benson and Brassey 2018
% j.d.gardiner@liverpool.ac.uk

max_linear_colormap = 1e6;

% produces a linear colourmap
linear_colormap =   eval([map '(' num2str(max_linear_colormap) ')']);

% creates a non-linear distribution and finds the locations required
distribution = linspace(1.^(1/exponent),max_linear_colormap.^(1/exponent),number_needed);
locations = floor(distribution.^exponent);

% redistribures linear colourmap into non-linear locations
non_linear_colormap = [linear_colormap(locations,1) linear_colormap(locations,2) linear_colormap(locations,3)];