function [optimiser_return] = run_alpha_vol_for_optimisation(refinement_coefficient,point_cloud,distance,original_volume)

% Run the alphavol function and provide funciton return to 
% opimisation function fminsearch
% Gardiner, Benson and Brassey 2018
% j.d.gardiner@liverpool.ac.uk

alpha_shape_radii = refinement_coefficient.*distance;

volume = alphavol(point_cloud,alpha_shape_radii);

optimiser_return =  abs((volume - original_volume)./original_volume);

end
